from django.forms import ModelForm
from django import forms
from dynastie.models import *

class BlogForm(ModelForm):
    class Meta:
        model = Blog

class PostForm(ModelForm):
    description = forms.CharField(widget=forms.Textarea(attrs={'rows':'5', 'cols':'50'}), required=False)
    keywords = forms.CharField(widget=forms.Textarea(attrs={'rows':'2', 'cols':'50'}), required=False)
    text_tags = forms.CharField(widget=forms.Textarea(attrs={'rows':'2', 'cols':'50'}), required=False)

    class Meta:
        model = Post
        exclude = ('title_slug', 'creation_date', 'modification_date', 'author', 'blog', 'tags')

    def __init__(self, *args, **kwargs):
        super(PostForm, self).__init__(*args, **kwargs)
        self.fields['category'].choices = [(cat.id, cat.name) for cat in Category.objects.all()]

class CategoryForm(ModelForm):
    class Meta:
        model = Category
        exclude = ('parent', 'name_slug', 'blog')

class UserForm(ModelForm):
    class Meta:
        model = User
        exclude = ('is_staff', 'is_active', 'last_login', 'last_joined', 'user_permissions', 'groups', 'date_joined', 'password')

class CommentForm(ModelForm):
    class Meta:
        model = Comment
        exclude = ('post', 'parent', 'date')

class TagForm(ModelForm):
    class Meta:
        model = Tag
        exclude = ('blog', 'name_slug')
